Bug 826036 - spice client crashes at first Shift-Ctrl-V in Microsoft Outlook
spice client crashes at first Shift-Ctrl-V in Microsoft Outlook
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 906558 906560 984745
  Show dependency treegraph
 
Reported: 2012-05-29 08:42 EDT by John L Magee
Modified: 2013-07-15 17:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 906558 984745 (view as bug list)
Environment:
Last Closed: 2013-04-03 00:39:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John L Magee 2012-05-29 08:42:31 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John L Magee 2012-05-29 08:45:18 EDT
> The outlook problem still exists. It only crashes the client, not th ewhole
> VM. If you open the outlooklink on the desktop I sent, hit SHIFT-CTRL-V
> together to open the Move dialog, the client crashes. When the spice client
> is then started again, the expected dialog box appears. From this point on,
> until the VM is restarted, the SHIFT-CTRL-V works without issue.

Alon has the means to reproduce
Comment 2 Marc-Andre Lureau 2012-05-29 08:50:41 EDT
Which spice client? virt-manager? spicec? virt-viewer?
Comment 3 Alon Levy 2012-05-29 09:29:13 EDT
I think it's both, since the problem is in common, here is a stack trace from running remote-viewer:

(qemu) (/home/alon/bin/spice2:3258): Spice-Warning **: ../spice-common/common/canvas_base.c:741:canvas_get_lz: a palette is missing (for bpp to rgb decoding)

(/home/alon/bin/spice2:3258): Spice-CRITICAL **: ../spice-common/common/canvas_base.c:1128:canvas_get_image_internal: condition `surface != NULL' failed
#0  0x0000003b0560e090 in __read_nocancel () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fdf5f1f3b92 in spice_backtrace_gstack () at backtrace.c:100
#2  0x00007fdf5f1f3c4f in spice_backtrace () at backtrace.c:131
#3  0x00007fdf5f1fd176 in spice_logv (log_domain=0x7fdf5f2b6a79 "Spice", log_level=SPICE_LOG_LEVEL_CRITICAL, strloc=0x7fdf5f2b7480 "../spice-common/common/canvas_base.c:1128", function=0x7fdf5f2b81e0 "canvas_get_image_internal", format=0x7fdf5f2b6b33 "condition `%s' failed", args=0x7fdf54e55708) at log.c:108
#4  0x00007fdf5f1fd23f in spice_log (log_domain=0x7fdf5f2b6a79 "Spice", log_level=SPICE_LOG_LEVEL_CRITICAL, strloc=0x7fdf5f2b7480 "../spice-common/common/canvas_base.c:1128", function=0x7fdf5f2b81e0 "canvas_get_image_internal", format=0x7fdf5f2b6b33 "condition `%s' failed") at log.c:123
#5  0x00007fdf5f1e52de in canvas_get_image_internal (canvas=0x29287c0, image=0x465b520, want_original=1, real_get=0) at ../spice-common/common/canvas_base.c:1128
#6  0x00007fdf5f1e5735 in canvas_touch_image (canvas=0x29287c0, image=0x465b520) at ../spice-common/common/canvas_base.c:1269
#7  0x00007fdf5f1e7d9e in canvas_draw_copy (spice_canvas=0x29287c0, bbox=0x465b4c4, clip=0x465b4d8, copy=0x465b4e8) at ../spice-common/common/canvas_base.c:2133
#8  0x00007fdf5f1ca476 in display_handle_draw_copy (channel=0x2562e00 [SpiceDisplayChannel], in=0x46a22f0) at channel-display.c:1254
#9  0x00007fdf5f1cb174 in spice_display_handle_msg (channel=0x2562e00 [SpiceDisplayChannel], msg=0x46a22f0) at channel-display.c:1433
#10 0x00007fdf5f1c09a3 in spice_channel_recv_msg (channel=0x2562e00 [SpiceDisplayChannel], msg_handler=0x7fdf5f1cb0ba <spice_display_handle_msg>, data=0x0) at spice-channel.c:1838
#11 0x00007fdf5f1c0f29 in spice_channel_iterate_read (channel=0x2562e00 [SpiceDisplayChannel]) at spice-channel.c:2000
#12 0x00007fdf5f1c11c9 in spice_channel_iterate (channel=0x2562e00 [SpiceDisplayChannel]) at spice-channel.c:2058
#13 0x00007fdf5f1c199c in spice_channel_coroutine (data=0x2562e00) at spice-channel.c:2215
#14 0x00007fdf5f1f2737 in coroutine_trampoline (cc=0x2562eb8) at coroutine_ucontext.c:56
#15 0x00007fdf5f1f2420 in continuation_trampoline (i0=39202488, i1=0) at continuation.c:49
#16 0x0000003b04e45f30 in ?? () from /lib64/libc.so.6
#17 0x0000000002563280 in ?? ()
#18 0x0000000000000000 in ?? ()
Comment 4 Alon Levy 2012-05-29 09:30:18 EDT
ignore the "(qemu)" up there, I run both qemu+remote-viewer from the same script with the same stdout. You can see the error comes closely after a warning - I imagine that warning might be important.

Alon
Comment 5 Fedora Admin XMLRPC Client 2012-10-15 02:12:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Update System 2013-02-06 14:54:20 EST
spice-gtk-0.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/spice-gtk-0.17-1.fc18
Comment 7 Fedora Update System 2013-02-07 21:28:53 EST
Package spice-gtk-0.17-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spice-gtk-0.17-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2081/spice-gtk-0.17-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-02-13 13:55:59 EST
spice-gtk-0.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/spice-gtk-0.18-1.fc18
Comment 9 Fedora Update System 2013-04-03 00:39:23 EDT
spice-gtk-0.18-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.